boost::geometry::strategy::buffer Namespace Reference

## Classes

class | distance_asymmetric
| Let the buffer for linestrings be asymmetric. More...
class | distance_symmetric
| Let the buffer algorithm create buffers with same distances. More...
class | end_flat
| Let the buffer create flat ends. More...
class | end_round
| Let the buffer create rounded ends. More...
class | join_miter
| Let the buffer create sharp corners. More...
class | join_round
| Let the buffer create rounded corners. More...
class | join_round_by_divide
class | point_circle
| Create a circular buffer around a point. More...
class | point_square
| Create a squared form buffer around a point. More...
class | side_straight
| Let the buffer use straight sides along segments (the default) More...

## Enumerations

enum | buffer_side_selector { buffer_side_left, buffer_side_right }
| Enumerates options for side of buffer (left/right w.r.t. directed segment) More...
enum | join_selector { join_convex, join_concave, join_continue, join_spike }
| Enumerates types of joins. More...
enum | piece_type { buffered_segment, buffered_join, buffered_round_end, buffered_flat_end, buffered_point, buffered_concave, piece_type_unknown }
| Enumerates types of pieces (parts of buffer) around geometries. More...
enum | result_code { result_normal, result_error_numerical, result_no_output }
| Enumerates types of result codes from buffer strategies. More...

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK